package com.yonge.cooleshow.auth.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * @Author: liweifan
 * @Data: 2022/3/22 11:20
 */
@ApiModel(value = "UpdatePasswordReq对象", description = "用户修改密码")
public class UpdatePasswordDto {
    @NotBlank(message = "旧密码不能为空")
    @ApiModelProperty("旧密码")
    private String oldPassword;
    @NotBlank(message = "新密码不能为空")
    @ApiModelProperty("新密码1")
    private String newPasswordFirst;
    @NotBlank(message = "新密码不能为空")
    @ApiModelProperty(value = "新密码2")
    private String newPasswordSecond;

    public String getOldPassword() {
        return oldPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }

    public String getNewPasswordFirst() {
        return newPasswordFirst;
    }

    public void setNewPasswordFirst(String newPasswordFirst) {
        this.newPasswordFirst = newPasswordFirst;
    }

    public String getNewPasswordSecond() {
        return newPasswordSecond;
    }

    public void setNewPasswordSecond(String newPasswordSecond) {
        this.newPasswordSecond = newPasswordSecond;
    }
}
